/*
  ClcdPlus Library - Hello World

 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the
 Hitachi HD44780 driver.

 This sketch originally added Oct 2013
 by Kenichi KAKIZAKI
 modified 1 Dec 2015
 by Kenichi KAKIZAKI

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// include the library code:
#include <ClcdPlus.h>

ClcdPlus lcd;

void
setup()
{
  lcd.begin(16, 2);
  lcd.print("Hello! MicroFan");
  lcd.setCursor(0,1) ;
  lcd.print("CLCD-PLUS Shield");

  delay(5000) ;
}

void
loop()
{
  if (lcd.sw1())
    lcd.backLight(1) ;
    
  if (lcd.sw2())
    lcd.backLight(0) ;
    
  lcd.led(lcd.sw3()) ;
    
  if (lcd.sw4())
    tone(SOUNDER, 1000) ;
  else
    noTone(SOUNDER) ;
    
  lcd.setCursor(0, 1);

  lcd.print(millis()/1000);
  lcd.print(" sec.            ");

  delay(100) ;
}
